{id}: Get a single way

API: openstreetmap.org:openstreetmap-api
Endpoint: /way/{id}
Response format: unknown
Auth: unknown
Method: GET
Last Status: 404
Latency: 202ms

Description

Returns the full details of a single way by ID

Parameters (1)

id (integer, path, required)

The way ID

Examples (1)

Get a single way openapi-spec
curl 'https://api.openstreetmap.org/api/0.6/way/12345'
import requests

resp = requests.get("https://api.openstreetmap.org/api/0.6/way/12345")
data = resp.json()
import zingu_apis

api = zingu_apis.api("openstreetmap")
result = api.fetch("way/{id}")

for item in result:
    print(item)
const resp = await fetch("https://api.openstreetmap.org/api/0.6/way/12345");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 00:23:36.425079 404 202ms
2026-04-15 02:37:42.522150 404 219ms
2026-04-14 01:03:11.768973 404 196ms
2026-04-12 15:27:28.336481 404 177ms
2026-04-10 00:30:38.036018 404 140ms